# $Revision: 1.44 $, $Date: 2006/10/01 17:42:57 $
%include	/usr/lib/rpm/macros.perl
Summary:	Simple mail statistics for Postfix
Summary(pl):	Proste statystyki dla Postfiksa
Name:		mailgraph
Version:	1.12
Release:	7
License:	GPL v2
Group:		Applications/Networking
Source0:	http://people.ee.ethz.ch/~dws/software/mailgraph/pub/%{name}-%{version}.tar.gz
# Source0-md5:	e3c88ee9ff6e423942ff8ce7038449c4
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.conf
Patch0:		%{name}-paths.patch
Patch1:		%{name}-postfix_rbl.patch
URL:		http://people.ee.ethz.ch/~dws/software/mailgraph/
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(triggerpostun):	sed >= 4.0
Requires:	apache(mod_cgi)
Requires:	apache(mod_expires)
Requires:	postfix
Requires:	rc-scripts
Requires:	webapps
Requires:	webserver = apache
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_prefix}/lib/cgi-bin/%{_webapp}
%define		_pkglibdir	/var/lib/%{name}

%description
Mailgraph is a very simple mail statistics RRDtool frontend for
Postfix that produces daily, weekly, monthly and yearly graphs of
received/sent and bounced/rejected mail.

%description -l pl
Mailgraph to prosty frontend na RRDtool do statystyk pocztowych dla
Postfiksa. Produkuje wykresy dzienne, tygodniowe, miesiczne i roczne
poczty wysanej/odebranej i odbitej/odrzuconej.

%prep
%setup	-q
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},%{_sysconfdir},%{_sbindir}} \
	$RPM_BUILD_ROOT{%{_appdir},%{_pkglibdir}/img,/var/log}

install mailgraph.cgi $RPM_BUILD_ROOT%{_appdir}/index.cgi
install mailgraph.pl $RPM_BUILD_ROOT%{_sbindir}/mailgraph.pl
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/mailgraph
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
touch $RPM_BUILD_ROOT/var/log/mailgraph.log

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- syslog >= 1.4.1-19
m=$(%addusertogroup stats syslog)
if [ -n "$m" ]; then
	echo >&2 "$m"
	%service %{name} restart
fi

%post
/sbin/chkconfig --add %{name}
%service %{name} restart
if [ ! -f /var/log/mailgraph.log ]; then
	touch /var/log/mailgraph.log
	chown stats /var/log/mailgraph.log
fi

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
m=$(%addusertogroup http stats)
if [ -n "$m" ]; then
	echo >&2 "$m"
	%service apache restart
fi
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
m=$(%addusertogroup http stats)
if [ -n "$m" ]; then
	echo >&2 "$m"
	%service httpd restart
fi
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- %{name} < 1.12-2.2
# nuke very-old config location (this mostly for Ra)
if [ -f /etc/httpd/httpd.conf ]; then
	sed -i -e "/^Include.*%{name}.conf/d" /etc/httpd/httpd.conf
fi

# migrate from httpd (apache2) config dir
if [ -f /etc/httpd/%{name}.conf.rpmsave ]; then
	cp -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	mv -f /etc/httpd/%{name}.conf.rpmsave %{_sysconfdir}/httpd.conf
	sed -i -e 's,/usr/share/mailgraph,%{_appdir},' %{_sysconfdir}/httpd.conf
fi

rm -f /etc/httpd/conf.d/99_mailgraph.conf
/usr/sbin/webapp register httpd %{_webapp}
%service -q httpd reload

%triggerpostun -- %{name} < 1.12-6
chown stats:stats %{_pkglibdir}/*.rrd

%files
%defattr(644,root,root,755)
%doc README CHANGES
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(755,root,root) %{_sbindir}/mailgraph.pl
%attr(754,root,root) /etc/rc.d/init.d/mailgraph
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mailgraph
%dir %{_appdir}
%attr(755,root,root) %{_appdir}/index.cgi
%attr(770,root,stats) %dir %{_pkglibdir}
%attr(775,root,http) %dir %{_pkglibdir}/img
%ghost /var/log/mailgraph.log

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mailgraph.spec,v $
Revision 1.44  2006/10/01 17:42:57  glen
- rel 7

Revision 1.43  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.42  2006/09/08 20:40:46  blues
- rel.6 - after changing mailgraph to run as stats user rrd files should
  be also chowned; added forgotten trigger...

Revision 1.41  2006/03/05 14:05:50  glen
- add forgotten changelog entry

Revision 1.40  2006/03/05 14:00:42  glen
- need to completely restart webserver when modifying group membership, rel 5

Revision 1.39  2006/03/05 13:56:11  glen
- missing R: webapps
- add http user to stats group and make /var/lib/mailgraph not world accessible
- rel 4

Revision 1.38  2006/03/05 13:27:41  glen
- migrate to webapps framework
- add stats user to syslog group if sysklogd is used
- package /var/log/mailgraph.log ghost which stats user attempts to log into
- use %service
- cgi program moved to /usr/lib/cgi-bin/mailgraph
- rel 3

Revision 1.37  2006/02/12 20:22:03  blues
- TODO added

Revision 1.36  2005/12/13 13:58:50  glen
- adapterized (sorted %verify attrs)

Revision 1.35  2005/11/20 22:45:40  glen
- specify apache version, as seems to be prepared only for apache2

Revision 1.34  2005/11/05 00:46:07  gotar
- moved autogenerated images to /var/lib/mailgraph/img, release 2

Revision 1.33  2005/10/31 23:34:24  gotar
- upgraded to 1.12

Revision 1.32  2005/08/07 16:48:38  jajcus
- do not run mailgraph with root privileges -- parsing logs as root is a very bad idea.
  Please note, that now everybody may read the *.rrd files, but that is IMHO much smaller problem.

Revision 1.31  2005/06/06 20:37:43  paszczus
- updated to 1.11 ; STBR

Revision 1.30  2005/06/05 00:55:45  zbyniu
- BR: rpm-perlprov

Revision 1.29  2005/03/06 10:41:46  glen
- fixed %banner usage

Revision 1.28  2005/02/04 14:22:09  pzurowski
- BR: rpmbuild(macros) >= 1.176 due to:
- %banner support

Revision 1.27  2004/11/03 11:36:42  orzech
- up to 1.10, rel.1

Revision 1.26  2004/09/27 20:45:31  blues
- release 4 - fixes pre/post to work with new apache

Revision 1.25  2004/06/21 10:40:17  blues
- TODO added

Revision 1.24  2004/05/19 13:02:47  blues
- R:apache-mod_expires - dunno if it's right, but current apache config
  requires it...

Revision 1.23  2004/05/17 13:12:06  ankry
- rel. 3 (2 is for Ra)

Revision 1.22  2004/02/18 17:31:18  orzech
- cleanups

Revision 1.21  2004/02/18 10:57:46  orzech
- up to 1.8
- since it's noarch, moved to _datadir/name

Revision 1.20  2004/01/28 09:53:36  orzech
- postfix_rbl patch

Revision 1.19  2004/01/27 13:27:17  orzech
- up to 1.6

Revision 1.18  2003/08/22 15:44:04  ankry
- cosmetics: spaces -> tabs

Revision 1.17  2003/06/15 11:38:12  adamg
- updated to 1.4

Revision 1.16  2003/05/28 12:59:40  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:50:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/01/28 16:40:11  kloczek
- upgrade to 1.2,
- start prepare new httpd apps scheme,
  TODO:
  - write %post script with display short activatuion instruction
   depending on information is httpd cnfig file is vanilla or not
  Note: NFY

Revision 1.13  2003/01/20 21:32:52  qboosh
- umask in scripts

Revision 1.12  2002/12/07 19:25:41  orzech
- /home -> /home/services

Revision 1.11  2002/10/12 17:46:47  kloczek
- updated to 0.22: added support for amavisd builtin spamassassin,
  show averages in graphs, bug fixes.

Revision 1.10  2002/08/24 18:35:23  kloczek
- (auto)updated to 0.21.

Revision 1.9  2002/07/30 12:16:15  grzegorz
- update mailgraph-paths.patch to change paths in mailgraph.pl
- rel 2
- STBR

Revision 1.8  2002/07/29 10:13:45  grzegorz
- up to 0.20
- STBR

Revision 1.7  2002/05/09 06:03:18  kloczek
- updated to 0.19.

Revision 1.6  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/19 10:21:55  grzegorz
- adaptarized

Revision 1.4  2002/01/18 02:13:47  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/08 02:19:39  blues
- added sources url

Revision 1.2  2001/12/06 14:59:17  qboosh
- pl description, cosmetics

Revision 1.1  2001/12/01 22:58:53  grzegorz
- PLD init spec
- STBR
